import axios from 'axios';
import { loadDriverCertificationsResponse, editDriverBody, editDriverCertificationResponse } from '../common/formatters';


export function loadVehicleModels() {
    return axios.get('/api/v2/wsc/vehicle_models').then(({ data }) => data.vehicle_models);
}

export function updateVehicleModel(id, vehicle_model) {
    return axios.put(`/api/v2/wsc/vehicle_models/${id}`, vehicle_model).then(({ data }) => data);
}

export function createVehicleModel(vehicle_model) {
    return axios.post('/api/v2/wsc/vehicle_models', vehicle_model).then(({ data }) => data);
}

export function deleteVehicleModel(vehicle_model) {
    return axios.delete(`/api/v2/wsc/vehicle_models/${vehicle_model.id}`);
}

export function loadDriversCertifications() {
    return axios.get('/api/v2/wsc/driver_licenses').then(({ data }) => loadDriverCertificationsResponse(data));
}

export function editDriverCertification(driverCertification) {
    const body = editDriverBody(driverCertification);
    return axios.put('/api/v2/wsc/driver_licenses', body).then(({ data }) => editDriverCertificationResponse(data));
}

export function getVehicleCertifications() {
    return axios.get('/api/v2/wsc/vehicle_certifications').then(({ data }) => data.vehicle_certifications);
}

export function updateVehicleCertification(vehicleCertification) {
    return axios.put('/api/v2/wsc/vehicle_certifications', vehicleCertification).then(({ data }) => data);
}
