import React from 'react';
import PropTypes from 'prop-types';
import Radio from '@material-ui/core/Radio';
import RadioGroup from '@material-ui/core/RadioGroup';
import FormControlLabel from '@material-ui/core/FormControlLabel';
import { VEHICLE_CERTIFICATION } from 'common/ui-labels';
import { TRACKABLE_TABLES } from '../../common/constants';


export default function VehicleDriverToggle(props) {
    const { table, handleTableChange } = props;
    
    return (
        <div style={{ textAlign: 'center' }}>
            <RadioGroup
                className="vehicle-driver-toggle"
                value={table}
                exclusive
                size="small"
                onChange={handleTableChange}
                aria-label="text alignment"
            >
                <FormControlLabel
                    value={TRACKABLE_TABLES.VEHICLES}
                    control={<Radio color="default" />}
                    data-cy="vehicles"
                    label={VEHICLE_CERTIFICATION.VEHICLES}
                />
                <FormControlLabel
                    value={TRACKABLE_TABLES.DRIVERS}
                    control={<Radio color="default" />}
                    data-cy="drivers"
                    label={VEHICLE_CERTIFICATION.DRIVERS}
                />
            </RadioGroup>
        </div>
    );
}

VehicleDriverToggle.propTypes = {
    table: PropTypes.string,
    handleTableChange: PropTypes.func,
};

VehicleDriverToggle.defaultProps = {
    table: TRACKABLE_TABLES.VEHICLES,
    handleTableChange: () => {},
};

