import React, { useState } from 'react';

import { NAMES_OF_TABS } from 'common/ui-labels';

import { TRACKABLE_TABLES } from '../../common/constants';
import VehicleDriverToggle from './VehicleDriverToggle';
import VehiclesTable from './VehiclesTable';
import DriversTable from './DriversTable';


export default function Trackables() {
    const [table, setTable] = useState(TRACKABLE_TABLES.VEHICLES);
    const showVehicles = table === TRACKABLE_TABLES.VEHICLES;
    
    const handleTableChange = (event, newTable) => {
        setTable(newTable);
    };
    return (
        <section className="tab-for-admin-trackables">
            <h3 className="text-center AdminTab-Title">{NAMES_OF_TABS.TRACKABLE_OBJECTS}</h3>
            <VehicleDriverToggle table={table} handleTableChange={handleTableChange} />
            <hr style={{ marginTop: '8px' }} />
            {showVehicles && <VehiclesTable />}
            {!showVehicles && <DriversTable />}
        </section>
    );
}

