

let dbm;
let type;
let seed;
const fs = require('fs');
const path = require('path');

let Promise;

/**
  * We receive the dbmigrate dependency from dbmigrate initially.
  * This enables us to not have to rely on NODE_PATH.
  */
exports.setup = function (options, seedLink) {
    dbm = options.dbmigrate;
    type = dbm.dataType;
    seed = seedLink;
    Promise = options.Promise;
};
const exec = require('child_process').exec;

const conf = require('../../../routes/config');

exports.up = function (db) {
    const filePath = path.join(__dirname, 'sqls', '20201214134155-driver-certification-up.sql');

    return new Promise(((resolve, reject) => {
        exec(`mysql -h ${
            conf.db_host
        } -u ${
            conf.db_user
        } --database=${
            conf.db_schema
        } -p${
            conf.db_password
        } --delimiter=/ < ${filePath}`, (error, stdout, stderr) => {
            if (error) {
                console.error(error);
                return reject(error);
            }
            resolve();
        });
    }));
};
exports.down = function (db) {
    const filePath = path.join(__dirname, 'sqls', '20201214134155-driver-certification-down.sql');
    return new Promise(((resolve, reject) => {
        fs.readFile(filePath, { encoding: 'utf-8' }, (err, data) => {
            if (err) return reject(err);
            console.log(`received data: ${data}`);

            resolve(data);
        });
    }))
        .then(data => db.runSql(data));
};

exports._meta = {
    version: 1,
};
