'use strict';

var dbm;
var type;
var seed;
var fs = require('fs');
var path = require('path');
var Promise;

/**
  * We receive the dbmigrate dependency from dbmigrate initially.
  * This enables us to not have to rely on NODE_PATH.
  */
exports.setup = function(options, seedLink) {
  dbm = options.dbmigrate;
  type = dbm.dataType;
  seed = seedLink;
  Promise = options.Promise;
};
const exec = require('child_process').exec;

const conf = require('../../../routes/config');

exports.up = function (db) {
  const filePath = path.join(__dirname, 'sqls', '20210202103447-dev-9697-up.sql');

  return new Promise(((resolve, reject) => {
    exec(`mysql -h ${
        conf.db_host
    } -u ${
        conf.db_user
    } --database=${
        conf.db_schema
    } -p${
        conf.db_password
    } --delimiter=/ < ${filePath}`, (error, stdout, stderr) => {
      if (error) {
        console.error(error);
        return reject(error);
      }
      resolve();
    });
  }));
};
exports.down = function(db) {
  var filePath = path.join(__dirname, 'sqls', '20210202103447-dev-9697-down.sql');
  return new Promise( function( resolve, reject ) {
    fs.readFile(filePath, {encoding: 'utf-8'}, function(err,data){
      if (err) return reject(err);
      console.log('received data: ' + data);

      resolve(data);
    });
  })
  .then(function(data) {
    return db.runSql(data);
  });
};

exports._meta = {
  "version": 1
};
