const error = require('http-errors');
const http = require('http');
const logger = require('../../../utils/logger');
const conf = require('../../../routes/config');

async function apiCreateAlarm(postData) {
    logger.debug('[apiCreateAlarm]: postData ', postData);
    const headers = {
        'X-User-Agent': 'Vehicle certification addon',
        'Content-Type': 'application/json',
        'Content-Length': Buffer.byteLength(JSON.stringify(postData)),
    };

    const req = http.request({
        method: 'POST',
        host: 'localhost',
        path: '/api/v2/private/alarms',
        port: conf.API_GATEWAY_PORT || 8082,
        headers,
    }, (res) => {
        res.setEncoding('utf8');
        res.on('data', (chunk) => {
            logger.verbose('alarm: ', chunk);
        });
        res.on('end', () => {

        });
    });
    req.on('error', (e) => {
        logger.logex(e);
    });
    // write data to request body
    req.write(JSON.stringify(postData));
    req.end();
}

module.exports = {
    apiCreateAlarm,
};
