const express = require('express');
const Middlewares = require('middlewares');
const Handlers = require('./handlers');

const router = express.Router();
const { checkReadiness } = Middlewares;

const companyWideTag = () => function companyTagMiddleware(req, res, next) {
    req.scope = {
        subcontractorTag: {
            uid: 'company_uid',
        },
    };
    return next();
};

router.use(checkReadiness());
router.use(companyWideTag());

router.get(['/driver_licenses'], Handlers.getDriverLicenses);
router.get(['/vehicle_certifications'], Handlers.getVehiclesCertifications);
router.get(['/vehicle_models'], Handlers.getVehicleModels);


module.exports = {
    path: 'private/wsc',
    router,
};
